MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001436Orfeo Toolbox (OTB)Generalpublic2017-06-23 12:212017-09-19 11:51
Reporterremi 
Assigned Togpasero 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformwindowsOSwindows 7OS Version7 pro OA 64bits
Summary0001436: Ortho images are fliped upside down in Monteverdi
DescriptionOrtho images are fliped upside down in Monteverdi.
Tested: SPOT 6/7 XS images produced by ADS
SPOT 5 XS images produced by IGN
Steps To ReproduceImport image in Monteverdi
TagsNo tags attached.
Attached Files

- Relationships
related to 0001431resolvedgpasero Monteverdi RGE Alti files inverted on Monteverdi 

-  Notes
(0004213)
remi (reporter)
2017-06-23 12:22

Monteverdi taken from the OTB-Contrib (6.0.0) windows package
(0004238)
gpasero (administrator)
2017-07-10 11:11

Hi, could you supply the output of the gdalinfo command on your input images ?
(0004244)
remi (reporter)
2017-07-17 11:58

Of course. Here it is:

# SPOT 5 Ortho IGN
# gdalinfo terminal/SPOT5/SPOT5_50312541103241118302J0/50312541103241118302J0.TIF

Driver: GTiff/GeoTIFF
Files: terminal/SPOT5/SPOT5_50312541103241118302J0/50312541103241118302J0.TIF
Size is 7713, 7704
Coordinate System is:
PROJCS["RGF93 / Lambert-93",
    GEOGCS["RGF93",
        DATUM["Reseau_Geodesique_Francais_1993",
            SPHEROID["GRS 1980",6378137,298.257222101,
                AUTHORITY["EPSG","7019"]],
            TOWGS84[0,0,0,0,0,0,0],
            AUTHORITY["EPSG","6171"]],
        PRIMEM["Greenwich",0,
            AUTHORITY["EPSG","8901"]],
        UNIT["degree",0.0174532925199433,
            AUTHORITY["EPSG","9122"]],
        AUTHORITY["EPSG","4171"]],
    PROJECTION["Lambert_Conformal_Conic_2SP"],
    PARAMETER["standard_parallel_1",49],
    PARAMETER["standard_parallel_2",44],
    PARAMETER["latitude_of_origin",46.5],
    PARAMETER["central_meridian",3],
    PARAMETER["false_easting",700000],
    PARAMETER["false_northing",6600000],
    UNIT["metre",1,
        AUTHORITY["EPSG","9001"]],
    AXIS["X",EAST],
    AXIS["Y",NORTH],
    AUTHORITY["EPSG","2154"]]
Origin = (237510.000000000000000,6766650.000000000000000)
Pixel Size = (10.000000000000000,-10.000000000000000)
Metadata:
  AREA_OR_POINT=Area
  TIFFTAG_SOFTWARE=CSinG - 13 SEPTEMBRE 2012
Image Structure Metadata:
  INTERLEAVE=BAND
Corner Coordinates:
Upper Left ( 237510.000, 6766650.000) ( 3d11'19.03"W, 47d50'13.37"N)
Lower Left ( 237510.000, 6689610.000) ( 3d 6'32.49"W, 47d 8'44.41"N)
Upper Right ( 314640.000, 6766650.000) ( 2d 9'35.15"W, 47d53'12.80"N)
Lower Right ( 314640.000, 6689610.000) ( 2d 5'35.96"W, 47d11'41.58"N)
Center ( 276075.000, 6728130.000) ( 2d38'15.66"W, 47d31' 2.20"N)
Band 1 Block=7713x1 Type=Byte, ColorInterp=Red
Band 2 Block=7713x1 Type=Byte, ColorInterp=Green
Band 3 Block=7713x1 Type=Byte, ColorInterp=Blue
Band 4 Block=7713x1 Type=Byte, ColorInterp=Undefined


# SPOT 6 Ortho ADS
# gdalinfo terminal/SPOT6/ROI_3_XS_Ortho_GSD2015/PROD_SPOT6_001/VOL_SPOT6_001_A/IMG_SPOT6_MS_001_A/IMG_SPOT6_MS_201503261014386_ORT_SPOT6_20170524_14254215kw2nbbawxzt_1_R1C1.TIF

Driver: GTiff/GeoTIFF
Files: terminal/SPOT6/ROI_3_XS_Ortho_GSD2015/PROD_SPOT6_001/VOL_SPOT6_001_A/IMG_SPOT6_MS_001_A/IMG_SPOT6_MS_201503261014386_ORT_SPOT6_20170524_14254215kw2nbbawxzt_1_R1C1.TIF
       terminal/SPOT6/ROI_3_XS_Ortho_GSD2015/PROD_SPOT6_001/VOL_SPOT6_001_A/IMG_SPOT6_MS_001_A/IMG_SPOT6_MS_201503261014386_ORT_SPOT6_20170524_14254215kw2nbbawxzt_1_R1C1.TIF.aux.xml
       terminal/SPOT6/ROI_3_XS_Ortho_GSD2015/PROD_SPOT6_001/VOL_SPOT6_001_A/IMG_SPOT6_MS_001_A/DIM_SPOT6_MS_201503261014386_ORT_SPOT6_20170524_14254215kw2nbbawxzt_1.XML
Size is 1971, 1524
Coordinate System is:
PROJCS["2154 RGF93/Lambert-93 (FR.)",
    GEOGCS["4171 RGF93 (FR.)",
        DATUM["unknown",
            SPHEROID["GRS 1980",6378137,298.2572221010042,
                AUTHORITY["EPSG","7019"]]],
        PRIMEM["Greenwich",0],
        UNIT[,0.0174532925199433]],
    PROJECTION["Lambert_Conformal_Conic_2SP"],
    PARAMETER["standard_parallel_1",44],
    PARAMETER["standard_parallel_2",49],
    PARAMETER["latitude_of_origin",46.5],
    PARAMETER["central_meridian",3],
    PARAMETER["false_easting",700000],
    PARAMETER["false_northing",6600000],
    UNIT["metre",1,
        AUTHORITY["EPSG","9001"]]]
Origin = (795360.000000000000000,6288990.000000000000000)
Pixel Size = (6.000000000000000,-6.000000000000000)
Metadata:
  AREA_OR_POINT=Area
  METADATATYPE=DIMAP
  TIFFTAG_DATETIME=2017:05:24 14:42:27
  TIFFTAG_IMAGEDESCRIPTION=B2, B1, B0, B3
  TIFFTAG_XRESOLUTION=6
  TIFFTAG_YRESOLUTION=6
Image Structure Metadata:
  INTERLEAVE=BAND
Corner Coordinates:
Upper Left ( 795360.000, 6288990.000) ( 4d10'57.43"E, 43d41'36.66"N)
Lower Left ( 795360.000, 6279846.000) ( 4d10'51.33"E, 43d36'40.49"N)
Upper Right ( 807186.000, 6288990.000) ( 4d19'45.32"E, 43d41'30.57"N)
Lower Right ( 807186.000, 6279846.000) ( 4d19'38.46"E, 43d36'34.41"N)
Center ( 801273.000, 6284418.000) ( 4d15'18.14"E, 43d39' 5.62"N)
Band 1 Block=1971x128 Type=UInt16, ColorInterp=Red
  Min=0.000 Max=1450.000
  Minimum=0.000, Maximum=1450.000, Mean=323.476, StdDev=115.837
  Metadata:
    STATISTICS_MAXIMUM=1450
    STATISTICS_MEAN=323.47640097825
    STATISTICS_MINIMUM=0
    STATISTICS_STDDEV=115.83652921705
Band 2 Block=1971x128 Type=UInt16, ColorInterp=Green
  Min=0.000 Max=1445.000
  Minimum=0.000, Maximum=1445.000, Mean=390.492, StdDev=91.891
  Metadata:
    STATISTICS_MAXIMUM=1445
    STATISTICS_MEAN=390.49208246131
    STATISTICS_MINIMUM=0
    STATISTICS_STDDEV=91.89050922691
Band 3 Block=1971x128 Type=UInt16, ColorInterp=Blue
  Min=0.000 Max=1293.000
  Minimum=0.000, Maximum=1293.000, Mean=404.521, StdDev=80.990
  Metadata:
    STATISTICS_MAXIMUM=1293
    STATISTICS_MEAN=404.5206628932
    STATISTICS_MINIMUM=0
    STATISTICS_STDDEV=80.989850659514
Band 4 Block=1971x128 Type=UInt16, ColorInterp=Undefined

# SPOT 6 Ortho IGN
# gdalinfo terminal/SPOT6/ROI_3_P_Ortho_IGN2015/IMG_S6P_2015032636879163CP_R1C1.tif

Driver: GTiff/GeoTIFF
Files: terminal/SPOT6/ROI_3_P_Ortho_IGN2015/IMG_S6P_2015032636879163CP_R1C1.tif
Size is 8752, 6992
Coordinate System is:
PROJCS["RGF93 / Lambert-93",
    GEOGCS["RGF93",
        DATUM["Reseau_Geodesique_Francais_1993",
            SPHEROID["GRS 1980",6378137,298.257222101,
                AUTHORITY["EPSG","7019"]],
            TOWGS84[0,0,0,0,0,0,0],
            AUTHORITY["EPSG","6171"]],
        PRIMEM["Greenwich",0,
            AUTHORITY["EPSG","8901"]],
        UNIT["degree",0.0174532925199433,
            AUTHORITY["EPSG","9122"]],
        AUTHORITY["EPSG","4171"]],
    PROJECTION["Lambert_Conformal_Conic_2SP"],
    PARAMETER["standard_parallel_1",49],
    PARAMETER["standard_parallel_2",44],
    PARAMETER["latitude_of_origin",46.5],
    PARAMETER["central_meridian",3],
    PARAMETER["false_easting",700000],
    PARAMETER["false_northing",6600000],
    UNIT["metre",1,
        AUTHORITY["EPSG","9001"]],
    AXIS["X",EAST],
    AXIS["Y",NORTH],
    AUTHORITY["EPSG","2154"]]
Origin = (794910.430985999992117,6289570.497890000231564)
Pixel Size = (1.500000000000000,-1.500000000000000)
Metadata:
  AREA_OR_POINT=Area
  TIFFTAG_SOFTWARE=CSinG - 13 SEPTEMBRE 2012
Image Structure Metadata:
  INTERLEAVE=BAND
Corner Coordinates:
Upper Left ( 794910.431, 6289570.498) ( 4d10'37.75"E, 43d41'55.68"N)
Lower Left ( 794910.431, 6279082.498) ( 4d10'30.78"E, 43d36'15.98"N)
Upper Right ( 808038.431, 6289570.498) ( 4d20'23.81"E, 43d41'48.90"N)
Lower Right ( 808038.431, 6279082.498) ( 4d20'15.88"E, 43d36' 9.22"N)
Center ( 801474.431, 6284326.498) ( 4d15'27.06"E, 43d39' 2.55"N)
Band 1 Block=8752x1 Type=UInt16, ColorInterp=Gray
(0004294)
gpasero (administrator)
2017-09-15 19:13

I have tried to reproduce the problem with other TIF files carrying the same PROJREF as you had, the images are not flipped. The only cause I see is if the projection is not handled, which could happen if the GEOTIFF_CSV and GDAL_DATA variables are not correctly set. Could you try again using recent 6.1 packages?
(0004309)
gpasero (administrator)
2017-09-19 11:51

Using 6.0 package, only your second image was flipped (PROJCS without authority code). The other one are displayed correctly, the EPSG code is properly read.

Since the problem with second image has been fixed in a different bug (0001431), I will mark this one as closed.

- Issue History
Date Modified Username Field Change
2017-06-23 12:21 remi New Issue
2017-06-23 12:22 remi Note Added: 0004213
2017-07-10 11:11 gpasero Note Added: 0004238
2017-07-10 11:11 gpasero Assigned To => gpasero
2017-07-10 11:11 gpasero Status new => feedback
2017-07-10 11:12 grizonnetm Relationship added related to 0001431
2017-07-17 11:58 remi Note Added: 0004244
2017-07-17 11:58 remi Status feedback => assigned
2017-09-07 17:28 gpasero Priority normal => urgent
2017-09-15 19:13 gpasero Note Added: 0004294
2017-09-19 11:51 gpasero Note Added: 0004309
2017-09-19 11:51 gpasero Status assigned => closed
2017-09-19 11:51 gpasero Resolution open => no change required


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker